Skip to main content
GET
/
v1
/
processors
/
{id}
/
payment_method_types
Payment Method Types
curl --request GET \
  --url https://{defaultHost}/v1/processors/{id}/payment_method_types \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/processors/{id}/payment_method_types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/processors/{id}/payment_method_types', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 5,
    "limit": null,
    "page": null,
    "url": null
  },
  "data": [
    {
      "id": "applepay",
      "description": "Apple Pay",
      "image": "https://www.mollie.com/external/icons/payment-methods/applepay.svg"
    },
    {
      "id": "creditcard",
      "description": "Card",
      "image": "https://www.mollie.com/external/icons/payment-methods/creditcard.svg"
    },
    {
      "id": "paypal",
      "description": "PayPal",
      "image": "https://www.mollie.com/external/icons/payment-methods/paypal.svg"
    },
    {
      "id": "sofort",
      "description": "SOFORT Banking",
      "image": "https://www.mollie.com/external/icons/payment-methods/sofort.svg"
    },
    {
      "id": "banktransfer",
      "description": "Bank transfer",
      "image": "https://www.mollie.com/external/icons/payment-methods/banktransfer.svg"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

amount
string

The amount in cents to be charged, represented as a whole integer. For example 9900 is equivalent to $99.

country
string

Two-letter country code (ISO 3166-1 alpha-2) of the billing address.

currency
string

Three-letter ISO currency code, in lowercase.

reusable
boolean

Only return payment methods that are reusable or not.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.